
.taeluf-wiki {
    --padContainer: 8px;
    --sidebarBG: #F0F0F0;
    --mainBG: #FCFCFC;
}

.taeluf-wiki {
    display:flex;
    align-items: start;
    flex-direction:row;
    min-height:100%;
    max-width:100%;
}

.taeluf-wiki > * {
    padding: var(--padContainer);
}
.taeluf-wiki aside a {
    text-decoration:none;
    border-bottom:none;
}

.taeluf-wiki aside {
    display:flex;
    flex-direction:column;
    /* justify-content: center; */
    align-items:center;
    
    margin:0;
    padding:0;
    /* flex: 1; */
    min-width: 300px;
    max-width:475px;
    margin: 0 auto;
    /* background:blue; */
    min-height:100%;

    border: 1px solid black;
    /* border-radius: 16px; */
    background:var(--sidebarBG);
    box-shadow:-1px 2px 15px rgba(0,0,0, 0.3), -1px 2px 25px rgba(0,0,0, 0.1);
    width: var(--docu-nav-width);
}
.taeluf-wiki aside h3 {
    padding:0;
    margin:4px;
    border-bottom: 2px solid black;
    width: 100%;
}
.taeluf-wiki aside nav {
    padding: 0 24px;
    min-width: 250px;
}

.taeluf-wiki aside ul {
    padding-left:0;
    margin-left:0;
}
.taeluf-wiki aside li {
    /* padding-left:8px; */
    margin-left:6px;
}



.taeluf-wiki aside ul {
    list-style-type: none;
    /* border-bottom: 1px solid black; */

}
.taeluf-wiki aside li {
    /* border-top: 1px solid black; */
    border-bottom: 1px solid black;
}
.taeluf-wiki aside ul ul {
    margin-left: 12px;
}
.taeluf-wiki aside ul ul li::before {
    content: "|  ";
}
.taeluf-wiki aside ul li:last-child {
    border-bottom: none;
}

.taeluf-wiki .mode-selector {
    display:flex;
    width: 100%;
    margin:0;
    padding:0;
    background: black;
}

.taeluf-wiki .mode-selector div {
    /* a vertical rule */
    width: 2px;
    height:100%;
    background:transparent;
}
.taeluf-wiki .mode-selector a {
    width:calc(50%-1px);
    flex:1;
    background: lightgrey;
    padding:8px;
    text-align:center;
    vertical-align:middle;
}
.taeluf-wiki .mode-selector > * {
    border:none;
    border-top: 1px solid black;
}
.taeluf-wiki .mode-selector a.active {
    background: grey;
}
.taeluf-wiki .mode-selector a:not(.active):hover, .taeluf-wiki .mode-selector a:not(.active):focus {
    /* color:reset; */
    /* background: rgb(90, 90, 90); */
    background: darkgrey;
    text-decoration: underline;
}
.taeluf-wiki .branch-selector {
    display:flex;
    justify-content:center;
    padding: 8px;
}
.taeluf-wiki .branch-selector button {
    background-color:lightgrey;
    border-radius: 32px;
    padding: 8px 24px;
    cursor:pointer;
}
.taeluf-wiki .branch-selector button:hover, .taeluf-wiki .branch-selector button:active, .taeluf-wiki .branch-selector button:focus {
    background-color:grey;
    color:white;
    cursor:pointer;
}



.taeluf-wiki main {
    flex: 1;
    background:var(--mainBG);
    max-width:100%;
    overflow-x:auto;
    border: 1px solid black;
    padding: 8px;
}

.taeluf-wiki-card {
    display:inline-flex;
    flex-direction:column;
    justify-content:center;
    text-align:center;
    max-width:550px;
    min-width:300px;

    border: 2px solid black;
    border-radius: 8px;
    padding: 16px;
    margin: 8px;
}
.taeluf-wiki-card *:first-child {
    margin-top: 0;
}


.taeluf-wiki .BranchPopup {
    position:fixed;
    top:0;
    bottom:0;
    right:0;
    left:0;
    background: hsla(320,20%,20%,0.7);

    flex-direction:column;
    justify-content: space-around;
    align-items: center;

}

.taeluf-wiki .BranchDialog {
    display:flex;
    flex-direction:column; 
    align-items:center;
    width: 375px;
    min-width:325px;
    min-height:400px;
    max-width:100%;
    max-height:100%;
    overflow:auto;
    background: white;
    border: 2px solid black;

    box-shadow: inset 0px 1px 12px black;

    padding: 8px;
}
.taeluf-wiki .DialogX {
    margin: 8px 8px 8px auto;
    cursor:pointer;
    padding: 8px;
}

.taeluf-wiki .BranchDialog h6 {
    margin: 0 0 8px 0;
}

.taeluf-wiki .BranchDialog .info {
    line-height: 1.2em;
}


.taeluf-wiki .BranchDialog nav {
    display:inline-block;
    flex: 1;
    overflow:auto;
    margin-bottom: 24px;
    width:100%;
}
.taeluf-wiki .BranchDialog nav > div {
    max-width:70%;
    padding: 8px;
    margin: 0 auto;
}
.taeluf-wiki .BranchDialog nav a {
    --topcolor: purple;
    --bottomcolor: green;
    --sidesColor: hsla(0, 0%, 80%, 0.5);
    --btncolor: hsl(0, 0%, 97%);
    display:block;
    /* max-width: 70%; */
    margin: 8px auto 0 auto;

    background: var(--btncolor);
    border-right: 1px solid var(--sidesColor);
    border-left: 1px solid var(--sidesColor);

    border-radius: 25% 32px;
    border-top:2px solid var(--topcolor);
    border-bottom: 2px solid var(--bottomcolor);

    overflow-x: hidden;
    text-overflow:ellipsis;
    white-space:nowrap;
    text-align: center;

    padding: 3px 15px;
}
.taeluf-wiki .BranchDialog nav a:hover, .taeluf-wiki .BranchDialog nav a:focus {
    --topcolor: green;
    --bottomcolor: purple;
    --btncolor: hsl(0, 0%, 86%);
}

.taeluf-wiki .BranchDialog nav a.selected {
    --sidesColor: black;
}


@media only screen and (max-width: 800px){
    .taeluf-wiki {
        flex-direction:column;
        --docu-nav-width: 100%;
    }
}
